# Boucle

for valeur in range(1, 10, 2): # "valeur" variable locale à la boucle, on parcours de 2 en 2
    print(valeur)

print(valeur)


for valeur in range(30, 10, -3):
    print(valeur)

compteur = 0 # initialisation du compteur
for i in "toto est malade":
    if i != ' ':
        compteur = compteur + 1 # on incrémente un compteur

print("nombre de lettre", compteur)


# Un programme qui demande une phrase et qui renvoie le nombre de voyelles
# Et le nombre de symboles qui ne sont pas des voyelles

cpt = 0
cpt2 = 0
phrase = input("Ecrire une phrase : ")
for i in phrase.lower(): # Pour mettre tout en minuscule
	if i == 'a' or i == 'e' or i == 'i' or i == 'o' or i == 'u' or i == 'y':
	    cpt = cpt + 1
	else:
            cpt2 = cpt2 + 1

print("Il y a", cpt, "voyelle(s) dans la phrase: ", phrase)
print("Il y a", len(phrase)-cpt, "symboles autres que voyelles dans la phrase: ", phrase)
# print("Il y a", cpt2, "symboles autres que voyelles dans la phrase: ", phrase)

cpt = 0
voyelles = ['a', 'e', 'i', 'o', 'u', 'y'] # on définit une sorte d'ensemble de valeurs
for i in phrase.lower():
    if i in voyelles: # in veut dire "appartient"
        cpt = cpt + 1


# Demander 4 notes entre 0 et 20 et calculer la moyenne de ces 4 notes

somme = 0
for i in range(1,5):
    note = float(input("Entrer une note entre 0 et 20 : "))
    somme = somme + note

moyenne = somme / 4

print("La moyenne est", moyenne)





